OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-RC2

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - w -

- w : OrthogonalTileArea, OrthogonalTileIterator
- wagon_speed_limits : VehicleSettings
- wait_count : IndustryTypeBuildData
- wait_counter : Train
- wait_for_pbs_path : PathfinderSettings
- wait_oneway_signal : PathfinderSettings
- wait_time : Order
- wait_twoway_signal : PathfinderSettings
- waiting : Industry::AcceptedCargo, Industry::AcceptedHistory, Industry::ProducedCargo
- waiting_random_triggers : BaseStation, ResolverObject, Vehicle
- wanted_inds : IndustryBuildData
- warn_lines : GameOptionsWindow
- warn_missing : GameOptionsWindow
- warned : SpriteCache
- was_cargo_delivered : Industry
- was_missing : GRFPresence
- watched_cargo_triggers : HouseScopeResolver
- watched_cargoes : HouseSpec
- water : CompanyInfrastructure
- water_border_presets : GameCreationSettings
- water_borders : GameCreationSettings
- waypoint_flags : Waypoint
- WD_CAPTION_HEIGHT : WidgetDimensions
- WD_CLOSEBOX_WIDTH : WidgetDimensions
- WD_DEBUGBOX_WIDTH : WidgetDimensions
- WD_DEFSIZEBOX_WIDTH : WidgetDimensions
- WD_DROPDOWN_HEIGHT : WidgetDimensions
- WD_RESIZEBOX_WIDTH : WidgetDimensions
- WD_SHADEBOX_WIDTH : WidgetDimensions
- WD_STICKYBOX_WIDTH : WidgetDimensions
- weight : CargoSpec, RailVehicleInfo, RoadVehicleInfo
- west : RoadStop::Entries
- wheel : CursorVars
- white_border_timer : Window
- WHITESPACE_NO_NEWLINE : StringConsumer
- WHITESPACE_OR_NEWLINE : StringConsumer
- wi_rect : DropdownWindow
- widget : NWidgetPart::NWidgetPartUnion
- widget_data : NWidgetCore
- widget_h : NWidgetMatrix
- widget_id : LinkGraphOverlay, NetworkStartServerWindow
- widget_lookup : NWidgetStacked, Window
- widget_w : NWidgetMatrix
- widgets_x : NWidgetMatrix
- widgets_y : NWidgetMatrix
- width : Blitter::BlitterParams, BmpInfo, ButtonCommon, Sprite, SpriteLoader::Sprite, TrueTypeFontCache::GlyphEntry, VideoDriver_Win32Base, Viewport, Window
- width_normal : ViewportSign
- width_org : VideoDriver_Win32Base
- width_small : ViewportSign
- window : LinkGraphOverlay, VideoDriver_Cocoa
- window_buffer : VideoDriver_CocoaQuartz
- window_class : TileHighlightData, Window
- window_desc : Window
- window_height : VideoDriver_CocoaQuartz
- window_number : TileHighlightData, Window
- window_snap_radius : GUISettings
- window_soft_limit : GUISettings
- window_width : VideoDriver_CocoaQuartz
- winlangid : LanguagePackHeader
- word : StringFilter::WordState
- word_index : StringFilter
- word_itr : IcuStringIterator
- word_matches : StringFilter
- word_stop : OSXStringIterator::CharInfo, UniscribeStringIterator::CharInfo
- wp : WaypointWindow
- writable : NetworkTCPSocketHandler